package com.bonus.system.service;

import com.bonus.common.core.domain.R;
import com.bonus.system.api.domain.SysFileSource;

import java.util.List;

public interface SysFileSourceService {
    R<Boolean> addFileSource(SysFileSource fileSource);

    /**
     * 删除资源数据
     * @param fileSource
     * @return
     */
    R<Boolean> delSourceFile(SysFileSource fileSource);

    /**
     * 查询资源文件
     * @param sourceId
     * @return
     */
    R<List<SysFileSource>> getSourceFileList(String sourceId);
}
